package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.SjBzxx;

/**
 * 班组信息Service接口
 * 
 * @author qianhe
 * @date 2025-08-04
 */
public interface ISjBzxxService 
{
    /**
     * 查询班组信息
     * 
     * @param id 班组信息主键
     * @return 班组信息
     */
    public SjBzxx selectSjBzxxById(Long id);
    public SjBzxx selectBzxxTj(SjBzxx sjBzxx);

    /**
     * 查询班组信息列表
     * 
     * @param sjBzxx 班组信息
     * @return 班组信息集合
     */
    public List<SjBzxx> selectSjBzxxList(SjBzxx sjBzxx);

    /**
     * 新增班组信息
     * 
     * @param sjBzxx 班组信息
     * @return 结果
     */
    public int insertSjBzxx(SjBzxx sjBzxx);

    /**
     * 修改班组信息
     * 
     * @param sjBzxx 班组信息
     * @return 结果
     */
    public int updateSjBzxx(SjBzxx sjBzxx);

    /**
     * 批量删除班组信息
     * 
     * @param ids 需要删除的班组信息主键集合
     * @return 结果
     */
    public int deleteSjBzxxByIds(Long[] ids);

    /**
     * 删除班组信息信息
     * 
     * @param id 班组信息主键
     * @return 结果
     */
    public int deleteSjBzxxById(Long id);
    public int pltj(SjBzxx sjBzxx);
}
